package com.heyu.api.data.service.impl.third;
/**
* <p>
* 第三方开发者信息配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.third.ThirdConfigInfoDao;
import com.heyu.api.data.entity.third.ThirdConfigInfoEntity;
import com.heyu.api.data.service.third.ThirdConfigInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ThirdConfigInfoServiceImpl extends ServiceImpl<ThirdConfigInfoDao, ThirdConfigInfoEntity> implements ThirdConfigInfoService {


    @Autowired
	private ThirdConfigInfoDao thirdConfigInfoDao;



	@Override
	public ThirdConfigInfoEntity selectThirdConfigInfoById(Long id){
		return thirdConfigInfoDao.selectThirdConfigInfoById(id);
	}



	@Override
	public Long insertThirdConfigInfo(ThirdConfigInfoEntity thirdConfigInfo){
		return thirdConfigInfoDao.insertThirdConfigInfo(thirdConfigInfo);
	}



	@Override
	public Long insertOrUpdateThirdConfigInfo(ThirdConfigInfoEntity thirdConfigInfo){
		return thirdConfigInfoDao.insertOrUpdateThirdConfigInfo(thirdConfigInfo);
	}



	@Override
	public int updateThirdConfigInfoById(ThirdConfigInfoEntity thirdConfigInfo){
		return thirdConfigInfoDao.updateThirdConfigInfoById(thirdConfigInfo);
	}



	@Override
	public int updateCoverThirdConfigInfoById(ThirdConfigInfoEntity thirdConfigInfo){
		return thirdConfigInfoDao.updateCoverThirdConfigInfoById(thirdConfigInfo);
	}



	@Override
	public int deleteThirdConfigInfoById(Long id){
		return thirdConfigInfoDao.deleteThirdConfigInfoById(id);
	}



}
